# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
- hosts: "localhost"
  tasks:

    - ansible.builtin.include_tasks: "./set_global_facts.yml"
    - name: "Debug output"
      ansible.builtin.debug:
        var: "global_cfgobj"
      when: "global_cfgobj.config.debug.enabled|bool"

    # To get the access token the Keycloak must be up and running,
    # we do some loops in order to wait for the service in
    # `set_global_accesstoken.yml`
    - ansible.builtin.include_tasks: "./set_global_accesstoken.yml"
    - ansible.builtin.include_tasks: "./configure_realmsettings.yml"

    - ansible.builtin.include_tasks: "./set_global_accesstoken.yml"
    # To configure the client permissions we require the Intercom Service
    # deployment to be completed as it creates the related OIDC client
    # that is required for the client permission setup.
    - ansible.builtin.include_tasks: "./configure_clientpermissions.yml"

    - ansible.builtin.include_tasks: "./set_global_accesstoken.yml"
    - ansible.builtin.include_tasks: "./configure_create_groups.yml"

    - ansible.builtin.include_tasks: "./set_global_accesstoken.yml"
    - ansible.builtin.include_tasks: "./configure_set_2fa_groups.yml"

    # In the following case we request the access token on every loop, not upfront.
    - ansible.builtin.include_tasks: "./configure_client_access_restriction.yml"

...
